Package org.apache.lucene.analysis.tokenattributes

# Interface TypeAttribute

All Superinterfaces:
  `Attribute`

All Known Implementing Classes:
  `PackedTokenAttributeImpl`, `TypeAttributeImpl`

public interface TypeAttribute extends Attribute
A Token's lexical type. The Default value is "word".

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TYPE`
  the default type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setType(String type)`
  Set the lexical type.
  `String`
  `type()`
  Returns this Token's lexical type.

- ## Field Details

  - ### DEFAULT_TYPE

    static final String DEFAULT_TYPE
    the default type
    See Also:
      - Constant Field Values

- ## Method Details

  - ### type

    String type()
    Returns this Token's lexical type. Defaults to "word".
    See Also:
      - `setType(String)`

  - ### setType

    void setType(String type)
    Set the lexical type.
    See Also:
      - `type()`